Status: In progress % Done: 0%
Priority: Normal
Assignee: Pablo Sanxiao
Category:
Target version:
gvSIG version: 1.11.0 Add-on version:
Keywords: Add-on resolve version:
Has patch: Yes Add-on resolve build:
Add-on name: Unknown
Description

Link text to layer is a new possible Functionality for gvSIG developed by CSGIS and Fernando González Cortés.
It was tested in gvSIG 1.11.
This will let you create links between text elements (map document) and layers (view document). If you set a layer in the view as not
visible, the text in the layout will  disappear simultaneously.
Code and patch ("extTlink-src.tgz" and "gvsig.patch") has been sent to the list at 11.01.2012:
http://osgeo-org.1560.n6.nabble.com/Feature-request-Link-text-to-layer-td4102893.html

History
#1 - 03/26/2012 12:53 PM - Pablo Sanxiao
- Status changed from New to Awaiting response

I was checking the link and I see two different things here.

On the one hand there is a patch to appgvSIG, so we are in the same case than #410 We need the CLA to apply the patch. On the other hand there is
a new extension to be included in the gvSIG distribution. Here I guess that there is a standard procedure but I don't know it, sorry. Maybe Joaquín,
Jorge or Manuel could shed light on this topic.

#2 - 03/26/2012 12:53 PM - Pablo Sanxiao
- Target version deleted (1.12.0-final)

#3 - 05/01/2012 08:32 PM - Francisco Puga
- File gvsig.patch added

I attach to the tracker the patch found following the links to try to maintain all the information need to discuss the path in the tracker.

I think that this patch is mixing different patch. It would be nice explain what parts of the patch are need to fix this issue.

#4 - 05/22/2012 12:24 PM - Fernando González Cortés

The first modified file in the patch is a bug correction. All FFrames are created through the factory except that one.

The other changes are just necessary events to detect project loading and rebuild the links between frames and layers.
#5 - 06/11/2012 12:45 PM - Francisco Puga
- Status changed from Awaiting response to In progress

Hi,

Thanks for answer my comment. I think that if i comment in a issue automatically i will become "follower" of that issue but, that not happens, and i
forgot to review this patch, so sorry for my late answer.

We are now in the process of release a new versions o i don't find comfortable introducing new changes right now. But i will give a close look to this
path soon.

Again, sorry for my lack of attention to this issue, and thanks for your effort.

#6 - 02/21/2014 09:40 AM - Álvaro Anguix
- Project changed from Application: gvSIG desktop to | gvSIG desktop 1
- Category deleted (Document layout)

Files
gvsig.patch 4.76 KB 05/01/2012 Francisco Puga
